Skip to main content
`Ctrl`+`K`

# DMPlexDistributionSetName

Set the name of the specific parallel distribution

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributionSetName(DM dm, const char name[])

## Input Parameters

- dm - The `DM`

- name - The name of the specific parallel distribution

## Note

If distribution name is set when saving, `DMPlexTopologyView()` saves the plex’s parallel distribution (i.e., partition, ownership, and local ordering of points) under this name. Conversely, if distribution name is set when loading, `DMPlexTopologyLoad()` loads the parallel distribution stored in file under this name.

## See Also

`DMPLEX`, `DMPlexDistributionGetName()`, `DMPlexTopologyView()`, `DMPlexTopologyLoad()`

## Level

developer

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages